Bug 49061 - serial port with -clocal hangs machine
Summary: serial port with -clocal hangs machine
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-13 11:42 UTC by paulh
Modified: 2007-04-18 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 14:40:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description paulh 2001-07-13 11:42:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-ieee1394 i686)

Description of problem:
Setting clocal off on a serial port makes the port inaccessible and
eventually panics
the kernel

How reproducible:
Always

Steps to Reproduce:
1.stty -a </dev/ttyS0
2.stty -clocal </dev/ttyS0
3.stty -a </dev/ttyS0
	

Actual Results:  The second stty -a produced no output. User software which
repeatedly tried to
open() this port eventually caused kernel panic


Expected Results:  Second stty-a gives same results as second one except
-clocal is reported

Additional info:

This bug was noticed whilst debugging Ricardo Fachetti's libmodem library.
Software
under development would crash prematurely leaving clocal off on the port.

There are 2 ways to free the port - reboot or run minicom and killall it
after it has opened the port.

Comment 1 Russell King 2001-11-29 13:15:35 UTC
unsetting clocal makes the open block until the attached device asserts the DCD
signal.

Could you supply details of the panic, and a method that causes it please?

Thanks.

Comment 2 Alan Cox 2003-06-06 14:40:18 UTC
No reply in over a year, closing



Note You need to log in before you can comment on or make changes to this bug.